Package org.eclipse.birt.chart.model.attribute

# Interface CallBackValue

All Superinterfaces:
  `ActionValue`, `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `CallBackValueImpl`

public interface CallBackValue extends ActionValue
A representation of the model object 'Call Back Value'. CallBackValue extends the type ActionValue specific for callbacks.

The following features are supported:

- `Identifier`

See Also:
  - `AttributePackage.getCallBackValue()`

## Method Summary

Modifier and Type
Method
Description
`CallBackValue`
`copyInstance()`
`String`
`getIdentifier()`
Returns the value of the 'Identifier' attribute.
`void`
`setIdentifier(String value)`
Sets the value of the '`Identifier`' attribute.

### Methods inherited from interface org.eclipse.birt.chart.model.attribute.ActionValue

`getLabel, setLabel`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getIdentifier

String getIdentifier()
Returns the value of the 'Identifier' attribute. Attribute "Identifier" specify a call back identifier to be used in the call back routine.

Returns:
  the value of the 'Identifier' attribute.
See Also:
  - `setIdentifier(String)`
  - `AttributePackage.getCallBackValue_Identifier()`

### setIdentifier

void setIdentifier(String value)
Sets the value of the '`Identifier`' attribute.

Parameters:
  `value` - the new value of the 'Identifier' attribute.
See Also:
  - `getIdentifier()`

### copyInstance

CallBackValue copyInstance()

Specified by:
  `copyInstance` in interface `ActionValue`
Specified by:
  `copyInstance` in interface `IChartObject`